<!DOCTYPE html>
<html>
  <head>
    <title>Plantillas literales</title>
  </head>
  <body>
    <script type='text/javascript'>
      var persona = 'Miguel';
      var edad = 28;

      function miEtiqueta(strings, expPersona, expEdad)
      {
        var str0 = strings[0]; // "Ese "
        var str1 = strings[1]; // " es un "
        var str2 = strings[2]; // "."

        var strEdad;
        if (expEdad > 99)
        {
          strEdad = 'viejo';
        }
        else
        {
          strEdad = 'joven';
        }

        return `${str0}${expPersona}${str1}${strEdad}${str2}`;
      }

      var salida = miEtiqueta`Ese ${ persona } es un ${ edad }.`;

      console.log(salida);
    </script>
  </body>
</html>